<%@ page import="java.util.*" %>

<html>
 <head><title>Lookup</title></head>
 <body>
 
  <h2>Lookup a user's busy time</h2>
  <a href="menu.html">Menu</a>
  <form action="Sched.do" method="post">
    <input type="hidden" name="tag" value="3" />
    username: 
    <input type="text" name="user" />
    <input type="submit" />
  </form>

  <hr/>
  <%
  String user = (String) request.getAttribute("user");
  List<String> avail = (List) request.getAttribute("available");

  out.println("username: " + user + "<br/>");
  ListIterator iter = avail.listIterator();
  while(iter.hasNext())
  {
    out.println(iter.next() + "<br/>");
  }
  %>
 
 </body>
</html>  
